// 输入一个整数 n，然后输入 n 个整数，输出其中所有能被 3 整除的数的个数。
#include <iostream>

using namespace std;

int main()
{
    int n;
    int *nums = new int[n];
    int i = 0;
    int cnt = 0; // 计数器
    cout << "请输入整数 n: ";
    cin >> n;

    cout << "请输入" << n << "个整数: ";
    while (i < n)
    {
        cin >> nums[i];
        i++;
    }

    while (--n >= 0)
    {
        if (nums[n] % 3 == 0)
            cnt++;
        else
            continue;
    }

    cout << "输入的整数中所有能被 3 整除的数的个数: " << cnt << endl;

    return 0;
}